System.Design 2.0.0.0 System.Object

The base class is implemented by designer hosts to provide access to types, directives, and user controls defined in a Web project document. A control designer class can use the to access the definitions in the current document, and to add a new tag prefix to the current document.

You access the services supplied by the designer host through the property of a implementation. The implementation can be accessed in two ways:

Classes deriving from can use the property to access a implementation supplied by the designer host. The implementation is supplied through the property of property.

Other designer classes can access the implementation by first obtaining the services implementation through the designer component's , and then calling the method using the designer host property.

replaces the obsolete interface . Older designer hosts may only support the interface implementation. Check that the and implementations supplied by the designer host are not null to ensure the designer host implements the and classes.

Provides a base class for accessing the types, directives, and controls in the current Web project document. This class must be inherited.

- Constructor
  2.0.0.0

  Because the class is abstract, you cannot create an instance of directly using the constructor.

  When deriving from the class, override the constructor to implement custom initialization actions for your reference manager implementation.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  System.Collections.ICollection To be added.

  Gets the register directives for the current project document.

  A collection of strings representing the register directives defined in the current document.

- Method
  2.0.0.0
  System.String `` To be added.

  Gets the tag prefix for the specified object type.

  The tag prefix for the specified object type, if found; otherwise, null.

  The type of the object.
- Method
  2.0.0.0
  System.Type `` `` To be added.

  Gets the object type with the specified tag prefix and tag name.

  The of the object with the specified tag prefix and name, if found; otherwise, null.

  The tag prefix of the type to retrieve. The tag name of the type to retrieve.
- Method
  2.0.0.0
  System.String `` ``

  uses the tag prefix and name to locate the user control register directive in the current document, and returns the src attribute value defined in the register directive.

  Gets the relative URL path for the user control with the specified tag prefix and tag name.

  A string representing the relative URL path for the specified user control, if found; otherwise, null.

  The tag prefix of the user control to retrieve. The tag name of the user control to retrieve.
- Method
  2.0.0.0
  System.String ``

  If the tag prefix already exists, then a new register directive is not added.

  Adds a tag prefix for the specified type.

  The tag prefix string.

  The type to add a tag prefix for in the current document.